OpenVDB: RootNode< ChildT >::ChildIter< RootT > Class Template Reference

OpenVDB 11.0.0

Loading...
Searching...
No Matches
Public Member Functions | Protected Types | Protected Attributes | List of all members
RootNode< ChildT >::ChildIter< RootT > Class Template Reference

`#include <nanovdb/NanoVDB.h>`

Inheritance diagram for RootNode< ChildT >::ChildIter< RootT >:

## Public Member Functions
| ChildIter ()
| ChildIter (RootT *parent)
NodeT & | operator* () const
NodeT * | operator-> () const
ChildIter & | operator++ ()
ChildIter | operator++ (int)
| operator bool () const
uint32_t | pos () const
void | next ()
TileT * | tile () const
CoordType | getOrigin () const
CoordType | getCoord () const

## Protected Types
using | DataT = typename match_const< DataType, RootT >::type
using | TileT = typename match_const< Tile, RootT >::type

## Protected Attributes
DataT * | mData
uint32_t | mPos
uint32_t | mSize

## Member Typedef Documentation

## ◆ DataT

template<typename ChildT >
template<typename RootT >

using DataT = typename match_const<DataType, RootT>::type
| protectedinherited

## ◆ TileT

template<typename ChildT >
template<typename RootT >

using TileT = typename match_const<Tile, RootT>::type
| protectedinherited

## Constructor & Destructor Documentation

## ◆ ChildIter() [1/2]

template<typename ChildT >
template<typename RootT >

ChildIter | ( |  | ) |
| inline

## ◆ ChildIter() [2/2]

template<typename ChildT >
template<typename RootT >

ChildIter | ( | RootT * | parent | ) |
| inline

## Member Function Documentation

## ◆ getCoord()

template<typename ChildT >
template<typename RootT >

CoordType getCoord | ( |  | ) | const
| inlineinherited

## ◆ getOrigin()

template<typename ChildT >
template<typename RootT >

CoordType getOrigin | ( |  | ) | const
| inlineinherited

## ◆ next()

template<typename ChildT >
template<typename RootT >

void next | ( |  | ) |
| inlineinherited

## ◆ operator bool()

template<typename ChildT >
template<typename RootT >

operator bool | ( |  | ) | const
| inlineinherited

## ◆ operator*()

template<typename ChildT >
template<typename RootT >

NodeT & operator* | ( |  | ) | const
| inline

## ◆ operator++() [1/2]

template<typename ChildT >
template<typename RootT >

ChildIter & operator++ | ( |  | ) |
| inline

## ◆ operator++() [2/2]

template<typename ChildT >
template<typename RootT >

ChildIter operator++ | ( | int |  | ) |
| inline

## ◆ operator->()

template<typename ChildT >
template<typename RootT >

NodeT * operator-> | ( |  | ) | const
| inline

## ◆ pos()

template<typename ChildT >
template<typename RootT >

uint32_t pos | ( |  | ) | const
| inlineinherited

## ◆ tile()

template<typename ChildT >
template<typename RootT >

TileT * tile | ( |  | ) | const
| inlineinherited

## Member Data Documentation

## ◆ mData

template<typename ChildT >
template<typename RootT >

DataT* mData
| protectedinherited

## ◆ mPos

template<typename ChildT >
template<typename RootT >

uint32_t mPos
| protectedinherited

## ◆ mSize

template<typename ChildT >
template<typename RootT >

uint32_t mSize
| protectedinherited